## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		python-astor
Version:	0.8.1
Release:	%autorelease
Summary:	Designed to allow easy manipulation of python source via the AST

License:	BSD
URL:		https://github.com/berkerpeksag/astor
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-pytest

%global _description %{expand:
astor is designed to allow easy manipulation of Python source via the AST.}

%description %_description

%package -n python3-astor
Summary:	%{summary}

%description -n python3-astor %_description

%prep
%autosetup -n astor-%{version}
sed -i '/\/usr\/bin\/env.*python/ d' astor/rtrip.py

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files astor


%check
# RtripTestCase.test_convert_stdlib Failed: AssertionError: Lists differ: ['/usr/lib64/python3.10/xml/dom/minidom.py'] != []
# Disable max string length (https://github.com/berkerpeksag/astor/issues/212)
# https://docs.python.org/3/library/stdtypes.html#configuring-the-limit
PYTHONINTMAXSTRDIGITS=0 %pytest -k "not test_convert_stdlib"

%files -n python3-astor -f %{pyproject_files}
%doc README.*


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 12 2022 Sandro <devel@penguinpee.nl> 0.8.1-7
- Fix failing test due to Python string length limit

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 0.8.1-5
- Rebuilt for Python 3.11

* Sat Jan 22 2022 Vanessa_kris <vanessaigwe1@gmail.com> 0.8.1-4
- initial import to src.fp.o

* Sat Jan 22 2022 Vanessa_kris <vanessaigwe1@gmail.com> 0.8.1-3
- minor tweaks

* Sat Jan 22 2022 Vanessa_kris <vanessaigwe1@gmail.com> 0.8.1-2
- initial build

* Sat Jan 22 2022 Vanessa_kris <vanessaigwe1@gmail.com> 0.8.1-1
- initial build
